using Domain.Entities;
using Domain.Generics;

namespace Models.Interfaces
{
    public interface IPhSProductRepository
    {
        Task<EProduct> CreateAsync(EProduct entity);
        Task<bool> DeleteAsync(int id);
        Task<PagedResult<EProduct>> GetAllAsync(int page = 1, int pageSize = 50);
        Task<EProduct?> GetByIdAsync(int id);
        Task<PagedResult<EProduct>> SearchAsync(string? term, int page = 1, int pageSize = 50);
        Task<bool> UpdateAsync(EProduct entity);
    }
}
